

/* app.css */
:root{
    --login-bg-page-01: #940101;
    --login-bg-page-02: #290000;

    --login-bg-box-01: #ffe2bb;
    --login-bg-box-02: #856547;

    --btn-login-border: #7e634c;
    --btn-login-hover: #290000;

    --login-link: #290000;
    --login-link-hover: #b65200;
    --top-bar-bg-color: #880000;
    --top-bar-fg-color: #fff;

    --menu-bg-color: #680606;
    --menu-fg-color: #fff;

    --menu-group-fg-color: #ffae00;

    --content-bg-color: #ddd;
    --content-fg-color: #000;

    --footer-bg-color: #000000;
    --footer-fg-color: #bbb;

    --color-white: #fff;
    --color-black: #000;

    --shadow: 0px 2px 4px rgba(0, 0, 0, .1);
}

* {
    font-family: 'Rajdhani', sans-serif;
}

body{
    background-color: var(--content-bg-color);
}

.top-bar {
    background: var(--top-bar-bg-color);
    color: var(--top-bar-fg-color);
    padding: 10px;
}

.top-bar a {
    color: var(--menu-group-fg-color);
    text-decoration: none;
    transition: color 0.3s ease;
}
.top-bar a:hover {
    color: var(--color-white);
}

/* menu button */
.btn-main-menu {
    display: none;
    color: var(--color-white);
    background: var(--menu-bg-color);
    padding: 5px;
    border-radius: 5px;
    cursor: pointer;
}

.btn-main-menu:hover {
    background: var(--color-white);
    color: var(--color-black);
}

/* main menu */
.main-menu {
    background: var(--menu-bg-color);
    color: var(--color-white);
    min-height: 90vh;
    min-width: 250px;
    z-index: 1000;
    transition: transform 0.3s ease;
}

.menu-group {
    font-weight: bold;
    margin-top: 20px;
    margin-bottom: 0px;
    padding: 0px 10px;
    color: var(--menu-group-fg-color);
}

.main-menu a {
    color: var(--menu-fg-color);
    text-decoration: none;
    display: block;
    padding: 5px 10px;
    transition: background 0.2s ease;
}

.main-menu a:hover {
    background: var(--top-bar-bg-color)
}

/* content */
.content {
    background: var(--content-bg-color);
    color: var(--content-fg-color);
}

.content-box {
    background: var(--color-white);
    color: var(--color-black);
    padding: 20px;
    margin: 5px 0px;
    border-radius: 5px;
    box-shadow: var(--shadow);
}

.content-title{
    font-size: 1.5rem;
    font-weight: bold;
    margin-bottom: 20px;
    color: var(--top-bar-bg-color);
}

/* button */
.btn-cig {
    background: var(--top-bar-bg-color);
    border: 1px solid var(--top-bar-bg-color);
    color: var(--color-white);
    padding: 5px 30px;
    border-radius: 5px;
    cursor: pointer;
    text-decoration: none;
    transition: background 0.2s ease;
}
.btn-cig:hover {
    background: var(--menu-bg-color);
}

.btn-cig-outline {
    color: black;
    border: 1px solid var(--top-bar-bg-color);
    padding: 5px 30px;
    border-radius: 5px;
    cursor: pointer;
    text-decoration: none;
    transition: background 0.2s ease;
}
.btn-cig-outline:hover {
    background: var(--top-bar-bg-color);
    color: var(--color-white)
}

/* footer */
.footer {
    background: var(--footer-bg-color);
    color: var(--footer-fg-color);
    padding: 10px;
    text-align: center;
}

/* responsive */
@media (max-width: 768px){
    .main-menu {
        position: fixed;
        transform: translateX(-250px);
    }

    .btn-main-menu {
        display: flex;
    }

    .main-menu.show {
        transform: translateX(0);
    }
}

.login-page-background {
    background: radial-gradient(circle at top, var(--login-bg-page-01), var(--login-bg-page-02));
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;    
}

.login-box {
    width: 400px;
    background: linear-gradient(to top, var(--login-bg-box-01), var(--login-bg-box-02));
    border-radius: 10px;
    padding: 40px;
    box-shadow: 0 0 12px 5px rgba(0,0,0,0.5);
}

.btn-login {
    text-decoration: none;
    background: transparent;
    color: #000;
    border: 1px solid var(--btn-login-border);
    box-shadow: 0 0 6px 3px rgba(0,0,0,0.1);
    padding: 10px;
    width: 100%;
    border-radius: 50px;
    transition: 0.2s ease-in-out;
}

.btn-cancelar{
    background: darkred;
    color: #000;
    border: 1px solid var(--btn-login-border);
    box-shadow: 0 0 6px 3px rgba(0,0,0,0.1);
    padding: 10px;
    width: 100%;
    border-radius: 50px;
    transition: 0.2s ease-in-out;
    text-align: center;

}

.btn-cancelar a{
    text-decoration: none;
    color: #fff;
    
}

.btn-login:hover {
    background: var(--btn-login-hover);
    color: #fff;
}

.login-link {
    text-decoration: none;
    color: var(--login-link);
    font-weight: bold;
    transition: 0.2s ease-in-out;
}

.login-link:hover {
    color: var(--login-link-hover);
}


.card-venda{
    width: 300px;
    border: #7e634c 1px solid;
    border-radius: 25px;
    margin: 3px;
    height: 470px;
}

.card-venda .card-head{
    margin-top: 8px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.card-venda .card-body{
    margin-top: 30px;
    text-align: center;
}


.card-body .qtd{
    margin-top: 50px;
    display: block;
}

.card-body .nome{
    height: 80px;
}

.qtd input{
text-align: center;
width: 30%;
border: none;
background-color: #cfdfc7;
border-radius: 20px;
padding: 5px;

}
.qtd button{
    background-color: transparent;
    border: none;
    font-size: 30px;
}
.qtd .decremento{
    color: red;
}
.qtd .incremento{
    color: green;
}
.qtd select{
    background-color: #dfeee8;
    margin: 20px 0;
}


.card-footer button{  
    padding: 5px;
    border: none;
    background-color: transparent;

}
.box-carrinho{

    border: 1px solid #570d05;
    width: 100%;
    border-radius: 5px;
    margin: 5px 0;
    padding: 5px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.box-carrinho .nome{

    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-left: 10px;
    
}
.box-carrinho .preco{

    display: block;
    margin-left: 10px;
    font-size: 12px;
    
}

.box-carrinho .original{

    display: flex;
    
}

.despesa{
display: flex;
justify-content: space-around;
border: 1px solid rgb(167, 159, 159);
border-radius: 20px;
height: 150px;
padding: 10px;
}





